import { getConsumerById } from "@/app/lib/consumers/action";
import { Box } from "@chakra-ui/react";
// dynamic import 
import dynamic from 'next/dynamic';
const CardDetail = dynamic(() => import("../components/card-detail"));

interface Params {
    id: string;
}

export default async function Page({ params }: { params: Params }) {
    const data = await getConsumerById(parseInt(params.id));

    return <Box mt="80px">{data && <CardDetail data={data} />}</Box>;
}